Create a new LUN in NetApp Console local deployment
POST /v1/organizations/{organizationId}/workingenvironments/{workingEnvironmentId}/luns
Creates a new LUN in the specified system.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
organizationId |
string |
path |
True |
Organization ID |
workingEnvironmentId |
string |
path |
True |
Public ID of the system |
Request Body
LUN properties for creation
| Name | Type | Required | Description |
|---|---|---|---|
aggregates |
array[string] |
False |
List of aggregate identifiers where the LUN can be created. |
igroups |
False |
Igroup details for LUN access. |
|
name |
string |
True |
Name of the LUN that is to be provisioned. |
numberOfLuns |
integer |
True |
Number of LUNs to create. |
size |
integer |
True |
Size of the LUN, in bytes. |
storageClassId |
string |
False |
Storage class identifier. |
svmId |
string |
True |
Storage Virtual Machine identifier. |
type |
string |
True |
Media type of the resource. Defined values are:
|
version |
string |
True |
Version of the resource schema. Defined values are:
|
Example request
{
"aggregates": [
"999d6h61-g7hd-8e95-d6c4-d99352081g65",
"aaa17i72-h8ie-9f06-e7d5-ea145392h76"
],
"igroups": {
"format": "LINUX",
"hostOs": "LINUX",
"initiators": [
{
"comment": "This is an initiator for the finance department",
"name": "iqn.1993-08.org.debian:01:abcd1234"
},
{
"comment": "This is an initiator for the HR department",
"name": "iqn.1993-08.org.debian:01:efgh5678"
}
],
"name": "my_igroup"
},
"name": "my_lun",
"numberOfLuns": 4,
"size": 107374182400,
"storageClassId": "888c5g50-f6gc-7d84-c5b3-c89241970f54",
"svmId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"type": "application/vnd.netapp.bxp.lun",
"version": 1
}
Response
Status: 202, LUN create request accepted and is being processed
| Name | Type | Required | Description |
|---|---|---|---|
jobId |
string |
True |
Unique identifier for the created job. |
Example response
{
"jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Error
Status: 400, Bad request
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The supplied query parameters are invalid.",
"status": "400",
"title": "Invalid query parameters",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 401, Unauthorized
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The request is missing the required bearer token.",
"status": "401",
"title": "Missing bearer token",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 403, Forbidden
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The requested operation isn't permitted.",
"status": "403",
"title": "Operation not permitted",
"type": "https://bluexp.netapp.io/problems/11"
}
Error
Status: 404, Not found
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The collection specified in the request URI wasn't found.",
"status": "404",
"title": "Collection not found",
"type": "https://bluexp.netapp.io/problems/2"
}
Definitions
See Definitions
initiators
| Name | Type | Required | Description |
|---|---|---|---|
comment |
string |
False |
Optional comment about the initiator. |
name |
string |
False |
The WWPN, IQN, or alias of the initiator. |
luns_1.0_igroups
Igroup details for LUN access.
| Name | Type | Required | Description |
|---|---|---|---|
format |
string |
False |
LUN format |
hostOs |
string |
False |
Operating system of the host. |
initiatorGroups |
array[string] |
False |
List of initiator groups for creating a new nested group. |
initiators |
array[initiators] |
False |
List of initiators associated with the igroup. |
name |
string |
False |
Name of the igroup. To associate an existing igroup, the field is mandatory. For new igroup creation it is optional, if not provided it will default to the volume name. |
invalidParams
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid parameter. |
reason |
string |
True |
Reason why the parameter is invalid. |